=== debian/changelog ===
isakmpd (20040204-1) unstable; urgency=low

  * Provide ike-server (closes: #223784).
  * Fixes for big indian systems (thanks to Sebastian Klemke).
    (closes: #223845).
  * Fix for certificates file access on non ext2 enabled kernel
    systems, thanks to jochen. (closes: #225474).
  * Update kernel version informations. (closes: #229795).
  * New upstream cvs merge.
  * Added missing man page isakmpd.policy(5) (thanks to  Toni Mueller).
    (closes: #231123).

 -- Jean-Francois Dive <jef@debian.org>  Sun,  8 Feb 2004 20:55:34 +0100

isakmpd (20031107-2) unstable; urgency=high

  * SECURITY fix for INITIAL_CONTACT handeling. (previous
    release actually did fixed INVALID_SPI informational exchange
    security issue). The problem is the exact same nature for both
    type of informational messages: because the end result is SA
    deletation, the HASH payload should be in the message and checked.

 -- Jean-Francois Dive <jef@debian.org>  Thu, 13 Nov 2003 14:54:01 +0100

isakmpd (20031107-1) unstable; urgency=high

  * new upstream cvs merge.
  * SECURITY fix for HASH payload handeling (closes: #219864).
  * SECURITY fix handeling of quick mode exchange encryption (it now
    does require quick mode to be encrypted both Rx/Tx).
  * SECURITY fix for INITIAL_CONTACT handeling (did not check for 
    mandatory HASH payload).
  * Updated linux kernel header for interop with debian x86 kernels.
  * Fix issues with policy handeling in keynote.

 -- Jean-Francois Dive <jef@debian.org>  Thu, 13 Nov 2003 11:05:09 +0100

isakmpd (20030907-1) unstable; urgency=high

  * new upstream cvs merge.
  * Fixed kernel interface due to ABI changes in linux IPSec.
  * Fixed keynote issue.

 -- Jean-Francois Dive <jef@debian.org>  Wed, 10 Sep 2003 22:47:17 +0200

isakmpd (20030718-1) unstable; urgency=high

  * New upstream version.
  * Merged new upstream linux native build support.
  * Added fine grained selector support to upstream linux native sysdep.
  * Removed useless libc and kernel headers.
  * Removed libdes.
  * Added generated upstream changelog (generated by cvs2cl.pl).

 -- Jean-Francois Dive <jef@debian.org>  Tue, 22 Jul 2003 12:15:30 +0200

isakmpd (20030119-2) unstable; urgency=low

  * Fixed init script (closes: #188086).
  * Added support for Protocol and Port text definition in ID handeling.
    (expl: Protocol = icmp instead of Protocol = 1).

 -- Jean-Francois Dive <jef@debian.org>  Mon,  9 Jun 2003 14:11:02 +0200

isakmpd (20030119-1) unstable; urgency=low

  * Changed version number to a sane format.

 -- Jean-Francois Dive <jef@debian.org>  Thu, 20 Mar 2003 18:46:56 +0100

isakmpd (19012003-4) unstable; urgency=low

  * Fixed source tree clean issues (libdes, libsysdep) (closes: #184295).
  * Added diff to package upload.

 -- Jean-Francois Dive <jef@debian.org>  Tue, 18 Mar 2003 17:30:57 +0100

isakmpd (19012003-3) unstable; urgency=low

  * switched libdes copyright from copyright.libdes to
    copyright file.

 -- Jean-Francois Dive <jef@debian.org>  Thu, 20 Feb 2003 13:10:54 +1100

isakmpd (19012003-2) unstable; urgency=low

  * Added reference to BSD license and libdes license.
  * Renmoved double dependency on libssl.
  * Removed /usr/doc link.
  * Added lintian overrides.

 -- Jean-Francois Dive <jef@debian.org>  Sun, 26 Jan 2003 00:36:40 +1100

isakmpd (19012003-1) unstable; urgency=low

  * Inital debianization (Closes: #163904).

 -- Jean-Francois Dive <jef@debian.org>  Sun, 26 Jan 2003 00:36:40 +1100
