=== debian/control ===
Source: isakmpd
Maintainer: Jean-Francois Dive <jef@debian.org>
Priority: optional
Section: net
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 3.0.5), libkeynote-dev, libssl-dev, libgmp3-dev

Package: isakmpd
Priority: optional
Section: net
Architecture: any
Provides: ike-server
Depends: ${shlibs:Depends}, libkeynote0
Description: The Internet Key Exchange protocol openbsd implementation
 IKE is a protocol which allow to exchange security information between
 to peers. This implementation requires the native linux ipsec support.
