=== debian/changelog ===
isakmpd (20041012-8) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Port to OpenSSL 1.1, disable 40-bit DES, patch by Chris West.
    (Closes: #858931).
  * Newest and greatest compat (11), standards, R³.
  * Fix FTBFS with -Werror=format-security.
  * Fix FTBFS with ld --as-needed, by Ilya Barygin.  (Closes: #678295)
  * Fix typos in README.Debian and long desc.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 17 Mar 2018 22:38:39 +0100

isakmpd (20041012-7.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by using OpenSSL 1.0.2. (Closes: #828355)

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 20:45:19 +0200

isakmpd (20041012-7.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup GNUmakefile for certpatch. Patch by Erwan Prioul (Closes: #749354).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 20 Apr 2016 21:40:11 +0200

isakmpd (20041012-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS, fix for multiarched gmp (Closes: #654285)
    - Thanks to Philippe De Swert for patch.

 -- Hector Oron <zumbi@debian.org>  Wed, 22 Feb 2012 00:35:49 +0000

isakmpd (20041012-7.1) unstable; urgency=low

  * NMU.  Change dependency libgmp3-dev --> libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Thu, 17 Mar 2011 21:40:04 -0500

isakmpd (20041012-7) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4
  * Add sysdep/common/libsysdep/.depend to clean target
  * Rename README.source to README.Debian-source

 -- Jochen Friedrich <jochen@scram.de>  Fri, 11 Jun 2010 17:49:04 +0200

isakmpd (20041012-6) unstable; urgency=low

  * Bumped standards version to 3.8.3.
  * Convert package to debhelper 7 and quilt patches.
  * Add patch to correct ifreq length. (Closes: #542641)
  * Depend on $network start and implement status command in init.d
    script

 -- Jochen Friedrich <jochen@scram.de>  Fri, 30 Oct 2009 17:53:02 +0100

isakmpd (20041012-5) unstable; urgency=low

  * Disable support for keynote as it seems to be broken.
  * Add dependency info to init.d script (Closes: #412893)
    Thanks to Petter Reinholdtsen <pere@hungry.com> for the patch.
  * Bumped standards version to 3.7.3 (No changes).

 -- Jochen Friedrich <jochen@scram.de>  Tue, 01 Apr 2008 17:30:53 +0200

isakmpd (20041012-4) unstable; urgency=high

  * Fix replay protection (CVE-2006-4436)
    Thanks to Stefan Fritsch <sf@fritsch.de> (Closes: #385894)

 -- Jochen Friedrich <jochen@scram.de>  Mon,  4 Sep 2006 18:41:00 +0200

isakmpd (20041012-3) unstable; urgency=low

  * Fix NAT-T RFC support.
  * Remove superfluos header from packet dump so tcpdump and ethereal
    can read the dump.

 -- Jochen Friedrich <jochen@scram.de>  Mon, 28 Aug 2006 17:14:47 +0200

sakmpd (20041012-2) unstable; urgency=low

  * New maintainer (Closes: #358800)
  * Replace SADB_X_SPDADD by SADB_X_SPDUPDATE (Closes: #346214)
  * Fix NAT-T (Closes: #324753)
  * Fix openssl incompatibility with version 0.9.8b (Closes: #334624)
  * Fix dependencies (Closes: #320393, #325849)
  * gcc compiler fixes (Closes: #318241)
  * Update standards version to 3.7.2

 -- Jochen Friedrich <jochen@scram.de>  Tue, 21 Feb 2006 14:26:40 +0100

isakmpd (20041012-1) unstable; urgency=high

  * new upstream cvs merge.
  * add setsockopt to properly configure udp encap socket.
  * add proper source port in nat-t sadb set (thanks to Thomas Walpuski).
  * DPD now works (closes: #258479).
  * NAT-T now works (closes: #269851).
  * remove double dependency on libkeynote0 (closes: #272377).

 -- Jean-Francois Dive <jef@debian.org>  Tue,  7 Sep 2004 11:28:18 +0200

isakmpd (20040628-1) unstable; urgency=high

  * New upstream cvs merge.
  * Enabled DPD.
  * Enabled NAT-T + added support for linux nat-t pfkey msgs.
  * Fix payload handling denial-of-service vuln (closes: #239739);
  * Add spd cleartext entry (thanks to Vincent Bernat). (closes: #243990).
  * Add dependency on linux-kernel-headers (closes: #238793).
  * Add man page for isakmpd.policy.
  * No issue with Renegotiate-on-HUP (closes: #255507).
  * x509v3.cnf provided (closes: #238542).
  * Added certpatch utility (closes: #231743).
  * Fixed pcap support (closes: #238543).

 -- Jean-Francois Dive <jef@debian.org>  Mon,  5 Jul 2004 23:32:47 +0200
