=== debian/control ===
Source: isakmpd
Maintainer: Debian QA Group <packages@qa.debian.org>
Priority: optional
Section: net
Standards-Version: 4.1.3
Rules-Requires-Root: no
Build-Depends: debhelper (>= 11~), libssl-dev, libgmp-dev, libpcap-dev, linux-kernel-headers

Package: isakmpd
Priority: optional
Section: net
Architecture: any
Provides: ike-server
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Description: The Internet Key Exchange protocol openbsd implementation
 IKE is a protocol which allows one to exchange security information between
 to peers. This implementation requires the native Linux ipsec support.
