=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_VERSION ?=20041012
b := $(CURDIR)/debian/isakmpd

%:
	dh $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	dh_installdocs -n DESIGN-NOTES QUESTIONS README README.PKI TO-DO $(CURDIR)/debian/README.Debian x509v3.cnf
	cp $(CURDIR)/samples/*.conf $(b)/usr/share/doc/isakmpd/samples/
	cp $(CURDIR)/samples/VPN-east.conf $(b)/etc/isakmpd/isakmpd.conf
	cp $(CURDIR)/samples/policy $(b)/etc/isakmpd/isakmpd.policy
	cp $(CURDIR)/isakmpd $(b)/usr/sbin/
	cp $(CURDIR)/apps/certpatch/certpatch $(b)/usr/bin
	cp $(CURDIR)/debian/isakmpd.lintian $(b)/usr/share/lintian/overrides/isakmpd

.PHONY: override_dh_fixperms
override_dh_fixperms:
	dh_fixperms
	find $(b)/etc/isakmpd -type d | xargs chmod 0700
	find $(b)/etc/isakmpd -type f | xargs chmod 0600

.PHONY: get-orig-source
get-orig-source:
	@cd /tmp; cvs -d ":pserver:anoncvs@anoncvs.jp.openbsd.org:/cvs" co -D ${UPSTREAM_VERSION} src/sbin/isakmpd
	@cd /tmp/src/sbin; mv isakmpd isakmpd-${UPSTREAM_VERSION}; tar czf /tmp/isakmpd_${UPSTREAM_VERSION}.orig.tar.gz --exclude CVS isakmpd-${UPSTREAM_VERSION}
	@rm -rf /tmp/src
